%bcond_with testsuite

Summary:        IIO accelerometer sensor to input device proxy
Name:           iio-sensor-proxy
Version:        3.4
Release:        4%{?dist}
License:        GPLv3+
URL:            https://github.com/hadess/iio-sensor-proxy
Source0:        https://gitlab.freedesktop.org/hadess/iio-sensor-proxy/uploads/9125f3f44e12924e2168bab91a511509/iio-sensor-proxy-3.4.tar.xz

BuildRequires:  meson gcc systemd umockdev
BuildRequires:  pkgconfig(udev) pkgconfig(systemd) pkgconfig(gio-2.0) pkgconfig(gudev-1.0) pkgconfig(polkit-gobject-1)

%if %{with testsuite}
BuildRequires:  python3-dbusmock
%endif

%{?systemd_requires}

%description
IIO accelerometer sensor to input device proxy

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
    -Dgtk_doc=false \
%if %{with testsuite}
    -Dgtk-tests=true
%else
    -Dgtk-tests=false
%endif

%meson_build

%install
%meson_install

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license COPYING
%doc README.md
%{_bindir}/monitor-sensor
%{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%{_udevrulesdir}/*-%{name}.rules
%{_sysconfdir}/dbus-1/system.d/net.hadess.SensorProxy.conf
%{_datadir}/polkit-1/actions/net.hadess.SensorProxy.policy

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Shuo Wang <abushwang@tencent.com> - 3.4-1
- initial build
